/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.admin.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 *  报告状态类型
 */
@Getter
@AllArgsConstructor
public enum ReportEnum {

	//reportStatus 0:待生成, 1:待提交，2:已提交待审批 3：已部分审批  4：已退回 5:已审批待结单 6:已结单
	REPORT_STATUS_CREATE("0", "待生成"),
	REPORT_STATUS_SUBMIT("1", "待提交"),
	REPORT_STATUS_APPROVAL("2", "已提交待审批"),
	REPORT_STATUS_PART_APPROVAL("3", "已部分审批"),
	REPORT_STATUS_RETURN("4", "已退回"),
	REPORT_STATUS_SETTLE("5", "已审批待结单"),
	REPORT_STATUS_END("6", "已结单"),

	APPROVAL_OPINION_YES("1","审批通过"),
	APPROVAL_OPINION_NO("2","审批不通过");

	/**
	 * 类型
	 */
	private String type;

	/**
	 * 描述
	 */
	private String description;

}
